japa.parser.ast.expr

## Class AnnotationExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.AnnotationExpr

Direct Known Subclasses:
  MarkerAnnotationExpr, NormalAnnotationExpr, SingleMemberAnnotationExpr

    public abstract class AnnotationExpr
    extends Expression

### Field Summary

Fields
`protected NameExpr` `name`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationExpr()`
`AnnotationExpr(int beginLine, int beginColumn, int endLine, int endColumn)`

### Method Summary

Methods
`NameExpr` `getName()`
`void` `setName(NameExpr name)`

### Methods inherited from class japa.parser.ast.Node

`accept, accept, equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    protected NameExpr name

### Constructor Detail

#### AnnotationExpr

    public AnnotationExpr()

#### AnnotationExpr

    public AnnotationExpr(int beginLine,
                  int beginColumn,
                  int endLine,
                  int endColumn)

### Method Detail

#### getName

    public NameExpr getName()

#### setName

    public void setName(NameExpr name)